LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XMultiTextMarkup Interface Reference

provides functionality to apply multiple text markups in one call. More...

`import"XMultiTextMarkup.idl";`

## Public Member Functions
void | commitMultiTextMarkup ([in] sequence< com::sun::star::text::TextMarkupDescriptor > aMarkups) raises ( com::sun::star::lang::IllegalArgumentException )
| submits multiple new markup ranges. More...

## Detailed Description

provides functionality to apply multiple text markups in one call.

Since
  OOo 3.0.1

## Member Function Documentation

## ◆ commitMultiTextMarkup()

void commitMultiTextMarkup | ( | [in] sequence< com::sun::star::text::TextMarkupDescriptor > | aMarkups | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

submits multiple new markup ranges.

The main use of this function will probably be for proofreading to allow for setting the markup of all found errors in a sentence in a single call. For this the sequence needs to provide the markups for all errors along with the markup for the identified sentence boundaries. The order of those entries is arbitrary.

Parameters

  aMarkups | a sequence of single text markups.

See also
  com::sun::star::text::XTextMarkup
  com::sun::star::text::TextMarkupType

The documentation for this interface was generated from the following file:

- com/sun/star/text/XMultiTextMarkup.idl